#ifndef FORTUNA_POOL_H
#define FORTUNA_POOL_H

#include <fmt/core.h>

namespace fortuna {
namespace accumulator {

class Pool {
public:
	Pool(){};
	~Pool() = default;

	// TODO(me): this public setter should be fixed?
	auto set_id(unsigned int id) -> void {
		pool_id = id;
	}

	auto get_id() -> unsigned int;

	auto initialize_pool(unsigned int id) -> void {
		set_id(id);
	}

private:
	unsigned int pool_id{0};

}; // class Pool

} //namespace accumulator
} //namespace fortuna

#endif//FORTUNA_POOL_H
